// DEFAULT OPTIONS: CHANGE AS NEEDED
// animation properties
$a_properties     : top, opacity;
$a_duration       : 0.15s;
$a_timing_function: ease-in-out;

// NOTE: $faux_height and the font-size and line-height of each faux_font
// should be the same unit/without unit (i.e. all px, em, nothing, etc)

// height of the fauxEl
$faux_height: 37;

// generic styles defaults for head and options
$faux_fonts: (
	'.fauxOption': (
        font-family:lightit,
        font-size:16,
        color: $text,
        line-height:27.2px,
        text-transform:null,
        padding: 0 30px,
		background-color: $gray,
		background-hover: null
	)
);

$faux_arrow: (
	background-color: transparent,
	width: 45px
);

.fauxEl {
     border-bottom: 1px solid $bg;
	&:before,
	&:after {
		content: "";
		height: 1px;
		width: 100%;
		position: absolute;
		bottom: 0;
		left: 0;
		background-color: $bg;
		transition: width 0.175s ease-in-out;
		z-index: z(l4) + 5;
	}
	&:after {
		width: 0;
		background-color: b(norm);
	}
	&.focus,
	&:hover {
		&:after {
			width: 100%;
		}
	}
	&.open {
		&:before,
		&:after {
			display: none;
		}

		.fauxWrapper {
			background-color: $white;
		}
	}
}
.fauxEl.open .fauxOption {
	border-bottom: 1px solid $bg;
	&:after {
		content: "";
		height: 1px;
		width: 0;
		position: absolute;
		bottom: 0;
		left: 0;
		background-color: b(norm);
		transition: width 0.175s ease-in-out;
	}
	&:hover,
	&.fauxHover {
		&:after {
			width: 100%;
		}
	}
}
.fauxArrow {
	z-index: z(l4);
	svg {
		@include center(4);
		width: 8px;
		right: 30px;
		* {
			fill: $text;
		}
	}
}
.fauxWrapper {
	z-index: z(l3);
}
